Subject: bug#58101: 28.2; image-size nonsensical

From: Eli Zaretskii <[email-masked]>
Date: Tue, 27 Sep 2022 18:42:00 +0300

> From: Stefan Kangas <[email-masked]>
> Date: Tue, 27 Sep 2022 10:28:44 -0400
> Cc: Thomas Hühn <[email-masked]>, [email-masked]
> 
> Lars Ingebrigtsen <[email-masked]> writes:
> 
> > (image-size (create-image "/tmp/two_key_system_2x.png" nil nil :scale 1.4) :pixels)
> 
> Hmm, that evaluates to "(30 . 30)" here, even though I don't even have a
> file named "/tmp/two_key_system_2x.png".
> 
> Isn't that a bug?  I'd expect it to signal an error.

No, that's the normal reaction in case of failure to create an image.
I think it will signal an error if you try to display it or something.